Public Types | Public Member Functions | Data Fields

# CYapfRailSegment Struct Reference

cached segment cost for rail YAPF More...

`#include <yapf_node_rail.hpp>`

## Public Types
typedef CYapfRailSegmentKey | Key
## Public Member Functions
| CYapfRailSegment (const CYapfRailSegmentKey &key)
const Key & | GetKey () const
TileIndex | GetTile () const
CYapfRailSegment * | GetHashNext ()
void | SetHashNext (CYapfRailSegment *next)
void | Dump (DumpTarget &dmp) const
## Data Fields
CYapfRailSegmentKey | m_key
TileIndex | m_last_tile
Trackdir | m_last_td
int | m_cost
TileIndex | m_last_signal_tile
Trackdir | m_last_signal_td
EndSegmentReasonBits | m_end_segment_reason
CYapfRailSegment * | m_hash_next

## Detailed Description

cached segment cost for rail YAPF

Definition at line 134 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_rail.hpp